%define majver %(echo %version | cut -d. -f1-2)
Name:          gedit
Version:       3.14.3
Release:       1mamba
Summary:       gEdit is a small but powerful text editor for GNOME
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.gnome.org/projects/gedit/
Source0:       http://ftp.gnome.org/pub/GNOME/sources/gedit/%{majver}/gedit-%{version}.tar.xz
Source1:       gedit.png
Source2:       gedit1.desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libalsa-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libaudiofile-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libenchant-devel
BuildRequires: libesound-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libglitz-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgtk-devel
BuildRequires: libgtksourceview-devel >=2.2.0
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpopt-devel
BuildRequires: libselinux
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: ORBit2-devel
## AUTOBUILDREQ-END
BuildRequires: libscrollkeeper-devel
BuildRequires: gnome-doc-utils-devel
BuildRequires: iso-codes-devel
BuildRequires: pygtksourceview-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: itstool
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
gEdit is the official text editor of the GNOME desktop environment.
While aiming at simplicity and ease of use, gedit is a powerful general purpose text editor.
Currently it features:

    * Full support for internationalized text (UTF-8)
    * Configurable syntax highlighting for various languages (C, C++, Java, HTML, XML, Python, Perl and many others)
    * Undo/Redo
    * Editing files from remote locations
    * File reverting
    * Print and print preview support
    * Clipboard support (cut/copy/paste)
    * Search and replace
    * Go to specific line
    * Auto indentation
    * Text wrapping
    * Line numbers
    * Right margin
    * Current line highlighting
    * Bracket matching
    * Backup files
    * Configurable fonts and colors
    * A complete online user manual

gEdit features also a flexible plugin system which can be used to dynamically add new advanced features to gedit itself. 
See the plugins page for more info on the existing plugins.

You'll need to have GNOME and GTK+ installed to use gEdit.
%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       API documentation for %{name}
Requires:      gtk-doc

%description apidocs
gedit is the official text editor of the GNOME desktop environment.
While aiming at simplicity and ease of use, gedit is a powerful general purpose text editor.
gedit features also a flexible plugin system which can be used to dynamically add new advanced features to gedit itself. 
See the plugins page for more info on the existing plugins.

%prep

%setup -q

%build
%configure \
        --disable-schemas-install \
        --disable-scrollkeeper
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
install -D %{S:1} \
   	%{buildroot}%{_datadir}/pixmaps/gedit.png

%{__rm} -rf %{buildroot}%{_datadir}/applications

install -D %{S:2} \
   %{buildroot}%{_datadir}/applications/gedit.desktop
## http://bugzilla.gnome.org/show_bug.cgi?id=89654
perl -pi -e 's/Utility;TextEditor/Utility;TextEditor;/' %{buildroot}%{_datadir}/applications/* 
## clean up all the static libs for plugins (workaround for no -module)
%{__rm}  -f `find %{buildroot}%{_libdir}/gedit-2/plugins -name "*.a"`
%{__rm} -f `find %{buildroot}%{_libdir}/gedit-2/plugins -name "*.la"`

%{__rm} -rf %{buildroot}/var/scrollkeeper

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{brpmuildroot}"


%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/gedit
%attr(755,root,root) %{_bindir}/gnome-text-editor
%dir %{_libdir}/gedit
%dir %{_libdir}/gedit/plugins
%{_libdir}/gedit/plugins/*
%{_libdir}/gedit/libgedit.la
%{_libdir}/gedit/libgedit.so
%{_libdir}/gedit/girepository-1.0/Gedit*.typelib
%dir %{_libexecdir}/gedit/gedit-bugreport.sh
%{_datadir}/appdata/org.gnome.gedit.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.*.xml
%{_datadir}/GConf/gsettings/gedit.convert
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/applications/gedit.desktop
%{_datadir}/pixmaps/gedit.png
%dir %{_datadir}/gedit
%{_datadir}/gedit/logo/gedit-logo.png
%dir %{_datadir}/gedit/plugins
%{_datadir}/gedit/plugins/*
#%{_datadir}/gedit/ui/gedit-*.xml
#%{_datadir}/gedit/ui/gedit-*.ui
%{_mandir}/man1/gedit.1.gz
%{_datadir}/help/*/gedit/*
%{python3_sitearch}/gi/overrides/Gedit.py*
%{python3_sitearch}/gi/overrides/__pycache__/Gedit*.py*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gedit-3.*
%dir %{_includedir}/gedit-3.*/gedit
%{_includedir}/gedit-3.*/gedit/*.h
%{_datadir}/gedit/gir-1.0/Gedit-*.gir
%{_datadir}/vala/vapi/gedit.deps
%{_datadir}/vala/vapi/gedit.vapi
%{_libdir}/pkgconfig/*.pc

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/gtk-doc/html/gedit/*.html
%{_datadir}/gtk-doc/html/gedit/gedit.devhelp2
%{_datadir}/gtk-doc/html/gedit/index.sgml
%{_datadir}/gtk-doc/html/gedit/*.png
%{_datadir}/gtk-doc/html/gedit/style.css
#%doc BUGS ChangeLog NEWS README

%changelog
* Sat Feb 14 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic update by autodist

* Wed Dec 24 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sun Apr 13 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 3.10.4-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Tue Jun 25 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.0-2mamba
- rebuilt with libgtksourceview 3.8

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Fri Sep 28 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sun Sep 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-2mamba
- move libgedit-private.so plugin library from -devel to main package

* Fri Jun 08 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Wed Jan 04 2012 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Mon Dec 12 2011 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic version update by autodist

* Tue Nov 15 2011 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Wed Nov 02 2011 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Thu Oct 20 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Fri Nov 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.4-2mamba
- rebuilt with libpng 1.4

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.30.4-1mamba
- automatic update to 2.30.4 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.30.3-1mamba
- automatic update to 2.30.3 by autodist

* Mon May 31 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Mon Nov 30 2009 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Fri Sep 25 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Sat Jul 04 2009 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- update to 2.26.0

* Wed May 14 2008 gil <puntogil@libero.it> 2.22.1-1mamba
- package created by autospec
